Subject: git serve

From: Michael J Gruber <[email-masked]>
Date: Fri, 27 Jun 2008 14:19:09 +0200

Hi there

I added a small subsection to the wiki at

http://git.or.cz/gitwiki/Aliases

I hope it's OK to just go ahead and edit like I did.

I love the power of git aliases. This one shows how easy it is to 
implement a "hg serve" alike "git serve".

In order to be able to use "git serve" from a subdir of the repo without 
much scripting (git-rev-parse --git-dir) my alias uses the fact that 
non-git aliases (beginning with "!") are executed with the top-level dir 
as cwd. Is this documented/guaranteed?

Michael

P.S.: I always wondered why there's no default "view = !gitk"...